package vishnu.builder;

import java.io.*;
import java.util.*;

public class MGWrapper extends Indexer
{
    private static void usage()
    {
	System.out.println("java Indexer MGWrapper -i InputDirectory \n -o OutputDirectory \n -c CollectionName");
    }
    
    
    public static void main(String[] args)
    {
	String in = null;
	String out = null;
	String coll = null;

	if( args.length == 0 ){
	    usage();
	    System.exit(0);
	}
	
	int a = 0;
	while( a < args.length ){
	    if( args[a].equals("-i") )
		in = args[++a];
	    if( args[a].equals("-o") )
		out = args[++a];
	    if( args[a].equals("-c") )
		coll = args[++a];
	    a++;
	}
	
	if (out==null || in==null|| coll==null) {
	    usage();
	    System.exit(0);
	}
	if (!out.endsWith(File.separator)) {
	    out += File.separator;
	}
	if (!in.endsWith(File.separator)) {
	    in += File.separator;
	}
	
	out = out + "mg_index" + File.separator;
	
	MGWrapper mgw = new MGWrapper();
	mgw.setCollectionName(coll);
        mgw.setOutputDirectory(out);
	mgw.setInputDirectory(in);
	mgw.startIndexing();
    }
    
    
    public MGWrapper()
    {
	super("Managing Gigabytes Indexer");
    }
    
    
    public void startIndexing()
    {

	initialize();
	// new mg requires a .mg_getrc to work
	// lets put it in the output dir
	File rc_file = new File(outputDir, ".mg_getrc");
	if (!rc_file.exists()) {
	    // if its there, assume it is correct
	    try {
		rc_file.createNewFile();
		BufferedWriter rc_out = new BufferedWriter(new FileWriter(rc_file, true));
		String data_line = collName+"\tDIR2\t"+inputDir;
		rc_out.write(data_line, 0, data_line.length());
		rc_out.newLine();
		rc_out.flush();
		rc_out.close();
	    } catch (Exception ex) {
		System.err.println(ex);
		System.err.println("Unable to create file "+rc_file.getPath()+", cancelling build");
		System.exit(0);
	    }
	}
	/*
	if( !f.exists() ){
	    System.out.println("Creating output directory..");
	    
            StringTokenizer strt = new StringTokenizer(outputDir,"/"); 
            String d = "";
            while(strt.hasMoreTokens()){
                String str = strt.nextToken();
                if( str.indexOf(".") == -1 ){
		    d += "/" + str;
		    if( !(new File(d)).exists() ){
			try{
			    Runtime rt = Runtime.getRuntime();
			    Process proc = rt.exec("mkdir " + d);
			    int exitVal = proc.waitFor();
			}catch(Exception ex){ex.printStackTrace();}
		    }
		}
	    }	
	}
	*/
	try{
	    //String command = /*GSDL3_HOME +*/ "/packages/VIS/" + "MG/mg/mg-1.2.1/bin/mgbuild -d " + outputDir + " -i " + inputDir + " " + collName;
	    //String command = "mgbuild -d " + outputDir + " -i " + inputDir + " " + collName;
	    // requires .mg_getrc file
	    String []env = new String [1];
	    env[0] = "MG_GETRC="+outputDir+".mg_getrc";
	    String command = "mgbuild -d " + outputDir + " " + collName;
	    System.out.println("Executing.. " + command);
	    Process proc = Runtime.getRuntime().exec(command, env);
	    proc.waitFor();
	    System.out.println(proc.exitValue());
	}
	catch(IOException ex){ex.printStackTrace();}
	catch (InterruptedException ex){ System.out.println(ex); ex.printStackTrace();
	} 
    }
}
